import { Component } from '@angular/core';

@Component({
  selector: 'svg-twitter',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      fill="none"
    >
      <path
        d="M14.3996 4.59931C13.5944 4.63642 13.612 4.63339 13.521 4.64101L13.9979 3.27919C13.9979 3.27919 12.5094 3.82675 12.132 3.9247C11.141 3.03398 9.66797 2.99462 8.61484 3.64189C7.75244 4.17206 7.28955 5.08251 7.44394 6.14667C5.76553 5.91376 4.35137 5.11815 3.23486 3.77694L2.88174 3.35282L2.61787 3.83739C2.28437 4.4497 2.17363 5.1498 2.30596 5.80868C2.36025 6.07899 2.45254 6.33681 2.58037 6.57821L2.27744 6.46083L2.2415 6.96698C2.20508 7.48114 2.37627 8.08134 2.69951 8.57235C2.79053 8.71064 2.90771 8.86249 3.05625 9.0123L2.89971 8.98827L3.09072 9.56825C3.3418 10.3303 3.86328 10.9198 4.54004 11.2476C3.86416 11.5344 3.31816 11.7174 2.4207 12.0126L1.59961 12.2825L2.35801 12.6972C2.64717 12.8553 3.66895 13.3833 4.67852 13.5417C6.92266 13.8936 9.44932 13.607 11.1503 12.0751C12.583 10.7848 13.0531 8.94931 12.9555 7.03925C12.9407 6.75009 13.0199 6.47411 13.1785 6.2623C13.4962 5.83817 14.3977 4.60214 14.3996 4.59931ZM12.5788 5.81308C12.3154 6.16474 12.1835 6.61386 12.2071 7.07753C12.3057 9.00419 11.7814 10.4983 10.6489 11.5183C9.32598 12.7098 7.19209 13.1774 4.79463 12.8014C4.36045 12.7333 3.91172 12.5809 3.54033 12.4286C4.29277 12.1697 4.87383 11.939 5.81221 11.4948L7.12217 10.8748L5.67588 10.7822C4.98311 10.7379 4.40625 10.4021 4.05166 9.85702C4.23994 9.84608 4.42148 9.81562 4.60225 9.76523L5.98164 9.38105L4.59072 9.04042C3.91484 8.87489 3.52959 8.4705 3.32539 8.16034C3.19131 7.95653 3.10371 7.74775 3.05117 7.55526C3.19062 7.59267 3.35322 7.61933 3.61543 7.6453L4.90283 7.77265L3.88281 6.97694C3.14785 6.4037 2.85332 5.54247 3.06924 4.71454C5.36299 7.09364 8.05615 6.91483 8.32725 6.97773C8.26758 6.39814 8.26602 6.39677 8.25039 6.34159C7.90322 5.11435 8.66406 4.4912 9.00723 4.28026C9.72402 3.83974 10.8618 3.77333 11.6499 4.49911C11.8201 4.65575 12.0503 4.71737 12.2657 4.66386C12.4591 4.61581 12.6178 4.56493 12.7731 4.50956L12.4497 5.43319L12.8626 5.43349C12.7847 5.53798 12.6912 5.66308 12.5788 5.81308Z"
        fill="#9EADC5"
      />
    </svg>
  `,
})
export class SvgTwitterComponent {}
